@import '../vendor/bootstrap/css/bootstrap.min.css';
@import 'font-awesome.min.css';
@import 'theme.css';
@import 'nav.css';
@import 'nav-responsive.css';
@import 'pagination.css';
@import 'comment.css';



@media (min-width:993px){  
    body {    
        margin-top: 84px;
    }     
}

.section-title i {
    margin-right: 10px;
}

.body-container {
    transition: transform 0.3s ease;
}
.body-container:hover {
    transform: translateY(-5px);
}

blockquote {
    font-style: italic;
    color: #555;
}

.popup-overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.6);
    justify-content: center;
    align-items: center;
    z-index: 9999;
    opacity: 1;
    transition: opacity 0.4s ease;
}
.popup-content {
    position: relative;
    background: #fff;
    border-radius: 12px;
    overflow: hidden;
    max-width: 400px;
    max-height: 90vh; /* Batas tinggi maksimal 90% layar */
    animation: fadeInPopup 0.20s ease forwards;
    box-shadow: 0 5px 20px rgba(0,0,0,0.3);
}

.popup-img {
    width: 100%;
    height: auto;
    max-height: 90vh; /* Supaya gambar tidak lebih tinggi dari layar */
    object-fit: contain; /* Gambar tetap proporsional */
}

.popup-close {
    position: absolute;
    top: 8px;
    right: 12px;
    width: 30px;
    height: 30px;
    background: rgba(0,0,0,0.4);
    border-radius: 50%;
    color: #fff;
    font-size: 20px;
    font-weight: bold;
    cursor: pointer;

    display: flex;
    align-items: center;
    justify-content: center;

    padding: 0;
    line-height: 1;
}

.popup-close span {
    position: relative;
    top: -1px;   
    left: 0;     
}
.popup-close:hover {
    background: rgba(0,0,0,0.7);
}
@keyframes fadeInPopup {
    from { transform: scale(0.4); opacity: 0; }
    to { transform: scale(1); opacity: 1; }
}

@keyframes fadeOutPopup {
    from { transform: scale(1); opacity: 1; }
    to { transform: scale(0.4); opacity: 0; }
}
.popup-overlay.fade-out {
    animation: fadeOutPopup 0.4s ease forwards;
}
.fade-out {
    animation: fadeOutPopup 0.4s ease forwards;
}